import 'package:flutter/material.dart';

import 'SliderContentModel.dart';

@immutable
class SliderWidget extends StatelessWidget {
  final SliderContentModel _bannerModel;

  /// The [borderRadius] of the container
  /// Default value 5
  final double borderRadius;

  /// The [_onTap] The Method when click on the Banner
  final VoidCallback _onTap;

  final double spaceBetween;

  SliderWidget({
    Key? key,
    required SliderContentModel sliderContentModel,
    this.borderRadius = 5,
    this.spaceBetween = 0,
    required VoidCallback onTap,
  })  : _bannerModel = sliderContentModel,
        _onTap = onTap,
        super(key: key);

  Widget get _getImage {
    return _bannerModel.child;
  }

  @override
  Widget build(BuildContext context) {
    return GestureDetector(
      onTap: _onTap,
      child: Container(
        margin: EdgeInsets.symmetric(horizontal: spaceBetween),
        child: _getImage,
      ),
    );
  }
}
