import 'package:flutter/material.dart';

import 'indicatorAnimatedWidget.dart';
import 'indicatorMeasurementModel.dart';

class CarouselIndicatorWidget extends StatelessWidget {
  final bool isactive;
  final bool isanimation;
  final Color color;
  final double dotBorderRadius;
  final IndicatorModel sizeIndicator;

  const CarouselIndicatorWidget({
    Key? key,
    this.isactive = false,
    this.isanimation = true,
    required this.color,
    this.dotBorderRadius = 8.0,
    required this.sizeIndicator,
  }) : super(key: key);

  bool get shouldIdoTheAnimation => isactive && isanimation;

  double get _width =>
      shouldIdoTheAnimation ? sizeIndicator.widthExpanded : sizeIndicator.width;
  double get _padding => shouldIdoTheAnimation
      ? sizeIndicator.paddingExpanded
      : sizeIndicator.padding;
  double get _height => shouldIdoTheAnimation
      ? sizeIndicator.heightExpanded
      : sizeIndicator.height;

  @override
  Widget build(BuildContext context) {
    return IndicatorAnimatedWidget(
        padding: _padding,
        width: _width,
        height: _height,
        color: color,
        dotBorderRadius: dotBorderRadius);
  }
}
